Package com.castlabs.android.drm

# Class DrmUtils.HttpExecutorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.castlabs.android.drm.DrmUtils.HttpExecutorException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DrmUtils`

public static final class DrmUtils.HttpExecutorException extends IOException
Exception thrown when HTTP execution fails.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Throwable`
  `cause`
  The cause of the exception
  `final String`
  `responseBody`
  The response body as a string
  `final int`
  `responseCode`
  The HTTP response code
  `final Map<String,List<String>>`
  `responseHeaders`
  The response headers

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpExecutorException(int responseCode, String responseBody, Map<String,List<String>> responseHeaders, Throwable cause)`
  Creates a new HttpExecutorException.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### responseCode

    public final int responseCode
    The HTTP response code

  - ### responseBody

    @Nullable public final String responseBody
    The response body as a string

  - ### responseHeaders

    @Nullable public final Map<String,List<String>> responseHeaders
    The response headers

  - ### cause

    @Nullable public final Throwable cause
    The cause of the exception

- ## Constructor Details

  - ### HttpExecutorException

    public HttpExecutorException(int responseCode, @Nullable String responseBody, @Nullable Map<String,List<String>> responseHeaders, @Nullable Throwable cause)
    Creates a new HttpExecutorException.
    Parameters:
      `responseCode` - The HTTP response code
      `responseBody` - The response body
      `responseHeaders` - The response headers
      `cause` - The cause of the exception